This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 470966 - Live Installer fails on softraid and LVM
Live Installer fails on softraid and LVM
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 23:35 EST by Falko Pilz (privat)
Modified: 2013-01-09 23:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-14 09:42:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Falko Pilz (privat) 2008-11-10 23:35:45 EST
Description of problem:
I used the Live CD and test the "Install on harddisk", I take the custom harddisk Layout, and couldn't edit filesystems which are located on an LVM. The physical volumes were on a softraid /dev/md0. The Install doesn't found out that den softraid holds a pv. So editing in LVM fails with "no pv". 

Version-Release number of selected component (if applicable):
F10 Preview 

How reproducible:
Try to install from the Live CD to a LVM which physical volumes were on /dev/md0. The matter is that the partitioning tool doesn't found, that the softraid is a pv, so it doesn't allow do edit anything in LVM. 

Steps to Reproduce:
1. Start the Installer from the Live CD
2. request "custom layout"
3. try to edit LVM
  
Actual results:
Error message that no physical volume was found.

Expected results:
the edit LVM dialog

Additional info:
Comment 1 Bug Zapper 2008-11-26 00:10:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chris Lumens 2009-04-08 15:57:29 EDT
We have made extensive changes to the partitioning code for F11 beta, such that it is very difficult to tell whether your bug is still relevant or not.  Please test with either the latest rawhide you have access to or F11 and let us know whether you are still seeing this problem.  Thanks for the bug report.
Comment 3 Ruben De Baets 2009-06-11 08:03:36 EDT
The problem still exists in Fedora 11 Live CD.

The raids aren't started at boot, so the LVM isn't recognized. Installer does find the raid, but not the LVM.

After manually starting the softraid with palmpinset, anaconda sees it and recognizes the LVM it contains, but when changes have to be written to disk, the raid and LVM seem to be halted of some kind, resulting in a installer crash (lvm commands don't work anymore).

Regards,
Ruben
Comment 4 Jeremy Katz 2009-07-21 14:28:23 EDT
Can you attach a traceback of how it crashes?  Also, does it work if you use the non-live install method?
Comment 5 Jeremy Katz 2009-08-14 09:42:56 EDT
Closing due to inactivity.  Please reopen if you have any further information to add to this report

Note You need to log in before you can comment on or make changes to this bug.